# Method: verificationCodes.list

Returns the current set of valid backup verification codes for the specified user.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/users/{userKey}/verificationCodes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. |

### Request body

The request body must be empty.

### Response body

JSON response template for list verification codes operation in Directory API.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "items": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/verificationCodes/list#VerificationCode`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` The type of the resource. This is always `admin#directory#verificationCodesList`. |
| `etag` | `string` ETag of the resource. |
| `items[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/verificationCodes/list#VerificationCode`)`` A list of verification code resources. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.user.security`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## VerificationCode

The Directory API allows you to view, generate, and invalidate backup verification codes for a user.

| JSON representation |
|---|
| ``` { "userId": string, "verificationCode": string, "kind": string, "etag": string } ``` |

| Fields ||
|---|---|
| `userId` | `string` The obfuscated unique ID of the user. |
| `verificationCode` | `string` A current verification code for the user. Invalidated or used verification codes are not returned as part of the result. |
| `kind` | `string` The type of the resource. This is always `admin#directory#verificationCode`. |
| `etag` | `string` ETag of the resource. |